%define upstream_name    String-Flogger
%define upstream_version 1.101243

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    String munging for loggers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(JSON)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(JSON)
%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.101.243-2.mga4
+ Revision: 525996
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 1.101.243-1.mga4
+ Revision: 435086
- update to 1.101243

* Sun Jan 13 2013 umeabot <umeabot> 1.101.242-2.mga3
+ Revision: 372786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.101.242-1.mga3
+ Revision: 255479
- update to 1.101242

* Tue Feb 22 2011 jquelin <jquelin> 1.101.241-1.mga1
+ Revision: 56828
- update to 1.101241

* Thu Jan 20 2011 jquelin <jquelin> 1.101.240-1.mga1
+ Revision: 27006
- mageia rebuild
- imported package perl-String-Flogger

